Subject: bug#31700: Make clean deletes french manuals

From: Gábor Boskovits <[email-masked]>
Date: Mon, 4 Jun 2018 20:30:49 +0200

2018-06-04 13:45 GMT+02:00 Ludovic Courtès <[email-masked]>:

> Hi Gábor,
>
> Gábor Boskovits <[email-masked]> skribis:
>
> > Make clean removes:
> > doc/contributing.fr.texi
> > doc/guix.fr.texi
> >
> > We had a discussion on #guix with roptat, and a few others.
> > I have found out, that after removing $(TRANSLATED_INFO)
> > from $(BUILT_SOURCES) in doc/local.mk these files are not
> > deleted any more. I have doubts that this is a correct fix, as
> > this might break dependency resolution.
> >
> > I also noticed, that after running make these two files end up with
> > different content.
>
> But they do get re-generated, right?
>
> I think the issue is fixed with this patch:
>
>
>
> I’ll push it if it works for you.
>
>
Thanks, Ludo, this seems to be the correct fix. Thanks for the additional
insight.
Please push it.

> Thanks,
> Ludo’.